package org.ajax4jsf.bean;

public class A4JFormTestBean {

    private String name = "before submit";

    private Boolean ajaxSubmit;

    private Boolean ignoreDupResponses;

    private Boolean prependId;

    private String rerender = "";

    private Boolean rendered = false;

    public String getRerender() {
        return rerender;
    }

    public void setRerender(String rerender) {
        this.rerender = rerender;
    }

    public Boolean getAjaxSubmit() {
        return ajaxSubmit;
    }

    public void setAjaxSubmit(Boolean ajaxSubmit) {
        this.ajaxSubmit = ajaxSubmit;
    }

    public Boolean getIgnoreDupResponses() {
        return ignoreDupResponses;
    }

    public void setIgnoreDupResponses(Boolean ignoreDupResponses) {
        this.ignoreDupResponses = ignoreDupResponses;
    }

    public Boolean getPrependId() {
        return prependId;
    }

    public void setPrependId(Boolean prependId) {
        this.prependId = prependId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getRendered() {
        return rendered;
    }

    public void setRendered(Boolean rendered) {
        this.rendered = rendered;
    }

    public void changeName() {
        this.name = "after submit";
    }

    public String reset() {
        name = "before submit";
        ajaxSubmit = false;
        ignoreDupResponses = false;
        prependId = false;
        rerender = "";
        rendered = false;
        return null;
    }

}
